| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Set sparse vector components
Vector Conversions » Set vector

## Set 1280b sparse integer vector components
v512int4_sparse | set_v512int4_sparse (int idx, v256int4_sparse v)
v512uint4_sparse | set_v512uint4_sparse (int idx, v256uint4_sparse v)
v256int8_sparse | set_v256int8_sparse (int idx, v128int8_sparse v)
v256uint8_sparse | set_v256uint8_sparse (int idx, v128uint8_sparse v)
v128int16_sparse | set_v128int16_sparse (int idx, v64int16_sparse v)
v128uint16_sparse | set_v128uint16_sparse (int idx, v64uint16_sparse v)
v128bfloat16_sparse | set_v128bfloat16_sparse (int idx, v64bfloat16_sparse v)
v128float16_sparse | set_v128float16_sparse (int idx, v64float16_sparse v)
v256bfloat8_sparse | set_v256bfloat8_sparse (int idx, v128bfloat8_sparse v)
v256float8_sparse | set_v256float8_sparse (int idx, v128float8_sparse v)

## Detailed Description

## Function Documentation

## ◆ set_v128bfloat16_sparse()

v128bfloat16_sparse set_v128bfloat16_sparse | ( | int | idx,
|  | v64bfloat16_sparse | v )

## ◆ set_v128float16_sparse()

v128float16_sparse set_v128float16_sparse | ( | int | idx,
|  | v64float16_sparse | v )

## ◆ set_v128int16_sparse()

v128int16_sparse set_v128int16_sparse | ( | int | idx,
|  | v64int16_sparse | v )

## ◆ set_v128uint16_sparse()

v128uint16_sparse set_v128uint16_sparse | ( | int | idx,
|  | v64uint16_sparse | v )

## ◆ set_v256bfloat8_sparse()

v256bfloat8_sparse set_v256bfloat8_sparse | ( | int | idx,
|  | v128bfloat8_sparse | v )

## ◆ set_v256float8_sparse()

v256float8_sparse set_v256float8_sparse | ( | int | idx,
|  | v128float8_sparse | v )

## ◆ set_v256int8_sparse()

v256int8_sparse set_v256int8_sparse | ( | int | idx,
|  | v128int8_sparse | v )

## ◆ set_v256uint8_sparse()

v256uint8_sparse set_v256uint8_sparse | ( | int | idx,
|  | v128uint8_sparse | v )

## ◆ set_v512int4_sparse()

v512int4_sparse set_v512int4_sparse | ( | int | idx,
|  | v256int4_sparse | v )

## ◆ set_v512uint4_sparse()

v512uint4_sparse set_v512uint4_sparse | ( | int | idx,
|  | v256uint4_sparse | v )